JBoss API: Interface JMSProviderLoaderMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.jndi
Interface JMSProviderLoaderMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  JMSProviderLoader

public interface JMSProviderLoaderMBean
extends ServiceMBean

JMSProviderLoaderMBean.java Created: Wed Nov 29 14:08:39 2000 6/22/01 - hchirino - The queue/topic jndi references are now configed via JMX

Version:
Author:
  , Hiram Chirino

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.lang.String` | `getProviderAdapterClass()`
`java.lang.String` | `getProviderName()`
`java.lang.String` | `getProviderUrl()`
`java.lang.String` | `getQueueFactoryRef()`
`java.lang.String` | `getTopicFactoryRef()`
`void` | `setProviderAdapterClass(java.lang.String clazz)`
`void` | `setProviderName(java.lang.String name)`
`void` | `setProviderUrl(java.lang.String url)`
`void` | `setQueueFactoryRef(java.lang.String newQueueFactoryRef)`
`void` | `setTopicFactoryRef(java.lang.String newTopicFactoryRef)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### setProviderName

    public void setProviderName(java.lang.String name)

### getProviderName

    public java.lang.String getProviderName()

### setProviderAdapterClass

    public void setProviderAdapterClass(java.lang.String clazz)

### getProviderAdapterClass

    public java.lang.String getProviderAdapterClass()

### setProviderUrl

    public void setProviderUrl(java.lang.String url)

### getProviderUrl

    public java.lang.String getProviderUrl()

### getQueueFactoryRef

    public java.lang.String getQueueFactoryRef()

### getTopicFactoryRef

    public java.lang.String getTopicFactoryRef()

### setQueueFactoryRef

    public void setQueueFactoryRef(java.lang.String newQueueFactoryRef)

### setTopicFactoryRef

    public void setTopicFactoryRef(java.lang.String newTopicFactoryRef)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.